Skip to main content
GET
/
google-oauth-accounts
/
locations
/
{google_location_id}
Details on a specific Google Location
curl --request GET \
  --url https://api.partoo.co/v2/google-oauth-accounts/locations/{google_location_id} \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/google-oauth-accounts/locations/{google_location_id}"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/google-oauth-accounts/locations/{google_location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "6047dac0604f33da03018004",
  "location_name": "Annie - HQ",
  "store_code": "annie-hq",
  "region_code": "FR",
  "postal_code": "75018",
  "address_details": "130 rue mont cenis",
  "locality": "Paris",
  "place_id": "ChIJ3Qu-HpFt5kcRNHUedqwIzQY",
  "google_verifications": {
    "status": "verified",
    "checked_at": "2023-01-30T14:25:11.163950Z"
  },
  "phone_numbers": "0675181818"
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

google_location_id
string
required

Google location unique id on Partoo

Response

OK

Google location

id
string

The unique identifier of the Google location on Partoo.

Example:

"6047dac0604f33da03018004"

location_name
string

The name of the location.

Example:

"Annie - HQ"

store_code
string

The store code of the google location.

Example:

"annie-hq"

region_code
string

The region code where the location is situated.

Example:

"FR"

postal_code
string

The postal code of the location.

Example:

"75018"

address_details
string

The details of the location's address.

Example:

"130 rue mont cenis"

locality
string

The locality of the location.

Example:

"Paris"

place_id
string

The unique identifier of the Google Maps place.

Example:

"ChIJ3Qu-HpFt5kcRNHUedqwIzQY"

google_verifications
object

The status and checked date of the Google verification for the location.

phone_numbers
string

The phone number associated with the location.

Example:

"0675181818"